Skip to main content

POST/combined_shipping_rules/update_combined_payments

This method configures or modifies combined payment settings that determine how unpaid orders can be merged for a single invoice within a defined duration for the seller.

Input

Resource URI

POST https://api.ebay.com/sell/account/v2/combined_shipping_rules/update_combined_payments

This method is supported in Sandbox environment. To access the endpoint, just replace the api.ebay.com root URI with api.sandbox.ebay.com

URI parameters

This method has no URI parameters.

HTTP request headers

All requests made to eBay REST operations require you to provide the Authorization HTTP header for authentication authorization.

The table below shows additional HTTP request headers that are either required, conditionally required, or strongly recommended for this method. Other standard HTTP request headers- opens rest request components page (not in this table) can also be used, but they are optional.

HeaderTypeDescription
X-EBAY-C-MARKETPLACE-IDstringThis path parameter is used to specify eBay's marketplace ID. Specifies the eBay marketplace identifier for this request, ensuring the operation targets the correct regional site

(e.g., EBAY_US, EBAY_GB, EBAY_DE).

For the full list of eBay marketplace values, see the https://developer.ebay.com/api-docs/sell/account/v2/types/ba:MarketplaceIdEnum type.

Occurrence: Required

OAuth scope

This request requires an access token created with the authorization code grant flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

https://api.ebay.com/oauth/api_scope/sell.account

See OAuth access tokens for more information.

Request payload

Copy complete valid JSON to clipboard

Request fields

Input container/fieldTypeDescription
combinedDurationCombinedPaymentPeriodEnum

This field specifies the duration within which multiple unpaid orders may be combined into a single invoice.

One of the values in the CombinedPaymentPeriodEnum type must be used in this field.

Occurrence: Optional

Output

HTTP response headers

This call has no response headers.

Response payload

This call has no payload.

Response fields

This call has no field definitions.

HTTP status codes

This call can return one of the following HTTP status codes. For an overview of the status codes, see HTTP status codes in Using eBay RESTful APIs.

StatusMeaning
204No Content
400Bad Request
500Internal Server Error

Error codes

For more on errors, plus the codes of other common errors, see Handling errors.

CodeDomainCategoryMeaning
395000API_ACCOUNTAPPLICATIONThere was a problem with an eBay internal system or process. Contact eBay developer support for assistance.
396000API_ACCOUNTREQUESTInvalid or missing 'currency'.
396007API_ACCOUNTREQUESTInvalid or missing 'combinedDuration'.
396023API_ACCOUNTREQUESTThe specified marketplace ID was not found.

Warnings

This call has no warnings.

Samples

New to making API calls? Please see Making a Call.

Note: Identifiers, such as order IDs or user IDs, and personal data in these samples might be anonymized or may no longer be active on eBay. If necessary, substitute current, relevant eBay data in your requests.

Sample 1: Update combined payments

This method is used to update combined payments settings for a seller's account.

Input

This method requires a request body containing the updated combined payments settings along with the X-EBAY-C-MARKETPLACE-ID header.

POSThttps://api.ebay.com/sell/account/v1/combined_payment_discount_rule/{combinedPaymentDiscountRuleProfileId}

Output

If the call is successful, a 204 success message is returned.